> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/dnk/api-dokumentation/overblik-over-geopard-api-anmodninger/noter-pins/36.-mutation-tilfoj-flere-comments-til-de-valgte-notes.md).

# 36. Mutation: Tilføj flere "Comments" til de valgte "Notes"

Denne mutation giver dig mulighed for at tilføje flere kommentarer til den valgte note.

{% hint style="success" %}
Det maksimale antal kommentarer, der kan gemmes, er 25.
{% endhint %}

* En kommentar kan knyttes til marken via dens unikke identifikator `fieldUuid` og til noten via `noteUuid`.
* Indholdet af kommentaren kan angives ved hjælp af `tekst` attributten. Hvis indholdet skal være flere linjer, bør `tekst` attributten indeholde en streng med nye linjetegn `\\n` for at adskille linjer. For eksempel: `"Første linje. er her\\nAnden linje er her.\\nTredje linje er her."`.
* Det er muligt at angive en bestemt dato/tid tilknyttet kommentaren ved hjælp af `oprettetDato` attributten i ISO8601-formatet.

Eksempelanmodningen kan findes nedenfor:

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation BatchAddNoteComments {
  addNoteComments(input:{
    comments: [
      {
        noteUuid: "53547188-f37c-4d65-9733-f7de4be28e5b",
        fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
        text: "Den 4. kommentar fra flere.",
        createdDate: "2020-08-25T06:06:06.000Z"
      }, 
      {
        noteUuid: "53547188-f37c-4d65-9733-f7de4be28e5b",
        fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
        text: "Den 5. kommentar fra flere.\\nAnden linje af kommentaren.",
        createdDate: "2020-08-25T06:06:07.000Z"
      }
    ]
  }) {
    uuid
    fieldUuid
    noteUuid
    oprettetDato
    updatedDate
    tekst
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/dnk/api-dokumentation/overblik-over-geopard-api-anmodninger/noter-pins/36.-mutation-tilfoj-flere-comments-til-de-valgte-notes.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
